For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a desk

Returns a single desk by its slug ID

Get desk by ID

get

Retrieves a specific desk by its ID. Optionally includes all subdesks when include_subdesks=true.

Authorizations
AuthorizationstringRequired

Harmony access key, sent as Authorization: AccessKey <your-key>. Create keys in Settings > Access Keys. The tenant is resolved from the key.

Path parameters
desk_idstringRequired
Query parameters
include_subdesksbooleanOptional

Include all subdesks in the response

Default: false
include_ticket_assigneesbooleanOptional

Include employees assigned to tickets in this desk, even if no longer desk members.

Default: false
Responses
200

Successful Response

application/json
idstringRequired
namestringRequired
emojistring · nullableRequired
descriptionstringRequired
template_idstring · nullableRequired
main_subdesk_idstringRequired
inbox_enabledbooleanRequired
inbox_emailstring · nullableRequired
inbox_cc_as_watchersbooleanRequired
first_reply_enabledbooleanOptionalDefault: false
first_reply_templatestring · nullableOptional
enabledbooleanRequired
team_routing_methodstring · enumRequired

Routing method for assigning tickets to teams.

Possible values:
custom_from_emailstring · nullableOptional
custom_from_display_namestring · nullableOptional
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
get/api/v1/desks/{desk_id}
GET /service-desk/api/v1/desks/{desk_id} HTTP/1.1
Host: api.harmony.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "text",
  "name": "text",
  "emoji": "text",
  "description": "text",
  "template_id": "text",
  "main_subdesk_id": "text",
  "employees": [
    {
      "employee_id": "text"
    }
  ],
  "custom_fields": [
    {
      "id": 1,
      "desk_id": "text",
      "name": "text",
      "field_type": "number",
      "is_mandatory": true,
      "is_internal": true,
      "options": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      },
      "description": "text",
      "ticket_types": [
        "request"
      ],
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "subdesks": [
    {
      "id": "text",
      "desk_id": "text",
      "name": "text",
      "description": "text",
      "timezone": "text",
      "is_default": true,
      "employees": [
        {
          "employee_id": "text"
        }
      ],
      "auto_assignment_settings": {
        "enabled": true,
        "assignment_method": "round_robin",
        "employee_scope_ids": [
          "text"
        ],
        "last_assigned_employee_id": "text",
        "open_tickets_threshold": 1,
        "daily_reset_time": "text",
        "skip_out_of_office": false,
        "ooo_sources": [
          "text"
        ],
        "inherit_auto_assignment": true,
        "created_at": "2026-01-01T00:00:00.000Z",
        "updated_at": "2026-01-01T00:00:00.000Z"
      },
      "created_at": "2026-01-01T00:00:00.000Z",
      "updated_at": "2026-01-01T00:00:00.000Z"
    }
  ],
  "inbox_enabled": true,
  "inbox_email": "text",
  "inbox_cc_as_watchers": true,
  "first_reply_enabled": false,
  "first_reply_template": "text",
  "enabled": true,
  "team_routing_method": "timezone",
  "config": {
    "notify_assignee_in_thread": true,
    "suggestion_lookback_days": 1
  },
  "custom_from_email": "text",
  "custom_from_display_name": "text",
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?